const { name } = require('./package')
let root = true

module.exports = (vars = {}) => {
  return {
    postcssPlugin: name,
    Once (css) {
      if (root) {
        root = false
        return css.append(`:root { ${vars} }`)
      }

      return css
    }
  }
}

module.exports.postcss = true
